/*
                         IV Root Window IO
 */

#ifndef ROOTWIN_H
#define ROOTWIN_H

#include <gtk/gtk.h>
#include "guiutils.h"

#ifndef gbool
# define gbool	guchar
#endif


void iv_put_image_to_root_centered(
        GdkWindow *root_window, GdkGC *gc,
        const guint8 *data,
        gint width, gint height, gint bpl, gint bpp,
        gint format     /* Any of IMGVIEW_FORMAT_*. */
);
void iv_put_image_to_root_tofit(
        GdkWindow *root_window, GdkGC *gc,
        const guint8 *data,
        gint width, gint height, gint bpl, gint bpp,
        gint format     /* Any of IMGVIEW_FORMAT_*. */
);
void iv_put_image_to_root_tocover(
        GdkWindow *root_window, GdkGC *gc,
        const guint8 *data,
        gint width, gint height, gint bpl, gint bpp,
        gint format     /* Any of IMGVIEW_FORMAT_*. */
);
void iv_put_image_to_root_tiled(
        GdkWindow *root_window, GdkGC *gc,
        const guint8 *data,
        gint width, gint height, gint bpl, gint bpp,
        gint format     /* Any of IMGVIEW_FORMAT_*. */
);


#endif	/* ROOTWIN_H */
